Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class LoggedTlsInputOutputStream

    java.lang.Object
      com.skype.ipc.LoggedTlsInputOutputStream

All Implemented Interfaces:
  InputTransporting, OutputTransporting

    public class LoggedTlsInputOutputStream

extends java.lang.Object
implements OutputTransporting, InputTransporting

Nested Class Summary
`class` | `LoggedTlsInputOutputStream.dummyKeyManager`
`class` | `LoggedTlsInputOutputStream.dummyTrustManager`

Constructor Summary
`LoggedTlsInputOutputStream(java.io.InputStream input, java.io.OutputStream output, ClientConfiguration cfg)`

Method Summary
`void` | `close()`
`void` | `init(ClientConfiguration cfg)`
`int` | `readByte()`
`void` | `readBytes(byte[] dest)`
`void` | `readBytes(byte[] dest, int offset, int length)`
`void` | `skipBytes(int numBytes)`
`void` | `write(java.nio.ByteBuffer src)`
`void` | `writeByte(int value)`
`void` | `writeByteAndFlush(int value)`
`void` | `writeBytes(byte[] src)`
`void` | `writeBytesAndFlush(byte[] src)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggedTlsInputOutputStream

    public LoggedTlsInputOutputStream(java.io.InputStream input,
                                      java.io.OutputStream output,
                                      ClientConfiguration cfg)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### skipBytes

    public void skipBytes(int numBytes)
                   throws java.io.IOException

  Specified by:
    `skipBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readBytes

    public void readBytes(byte[] dest)
                   throws java.io.IOException

  Specified by:
    `readBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readBytes

    public void readBytes(byte[] dest,
                          int offset,
                          int length)
                   throws java.io.IOException

  Specified by:
    `readBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readByte

    public int readByte()
                 throws java.io.IOException

  Specified by:
    `readByte` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### writeBytes

    public void writeBytes(byte[] src)
                    throws java.io.IOException

  Specified by:
    `writeBytes` in interface `OutputTransporting`
  Throws:
    `java.io.IOException`

### writeBytesAndFlush

    public void writeBytesAndFlush(byte[] src)
                            throws java.io.IOException

  Specified by:
    `writeBytesAndFlush` in interface `OutputTransporting`
  Throws:
    `java.io.IOException`

### write

    public void write(java.nio.ByteBuffer src)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeByte

    public void writeByte(int value)
                   throws java.io.IOException

  Specified by:
    `writeByte` in interface `OutputTransporting`
  Throws:
    `java.io.IOException`

### writeByteAndFlush

    public void writeByteAndFlush(int value)
                           throws java.io.IOException

  Specified by:
    `writeByteAndFlush` in interface `OutputTransporting`
  Throws:
    `java.io.IOException`

### init

    public void init(ClientConfiguration cfg)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `InputTransporting`
  Specified by:
    `close` in interface `OutputTransporting`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.